Subject: Re: R: [1.7] output redirection problems with gfortran
From: Gustavo Seabra <[email-masked]>
To: Marco Atzeri <[email-masked]>
Cc: [email-masked]
Date: Mon, 8 Jun 2009 12:50:01 -0400
List-Id: <cygwin.cygwin.com>

On Mon, Jun 8, 2009 at 10:21 AM, Marco Atzeri<[email-masked]> wrote:
>
> --- Lun 8/6/09, Gustavo Seabra  ha scritto:
>
>> Da: Gustavo Seabra
>> Oggetto: [1.7] output redirection problems with gfortran
>> A: [email-masked]
>> Data: Lunedì 8 giugno 2009, 15:28
>> Hi All,
>>
>> I'm having a strange problem with gfortran here. I am
>> trying to run a
>> simple configure program, but it chokes on the fortran
>> compilation.
>> The test program it uses is very simple:
>>
>> $ cat testp.f
>>       program testf
>>       write(6,*) 'testing a Fortran
>> program'
>>       end program testf
>>
>> It is being compiled with:
>>
>> $ gfortran -O0 -fno-second-underscore -o testp testp.f
>>
>> and it generates the executable "testp.exe":
>>
>> $ ./testp
>>  testing a Fortran program
>>
>> The problem comes in the testing. If I try to redirect this
>> output to
>> pretty much anything, I get nothing:
>>
>> $ ./testp | /bin/grep Fortran
>> $
>>
>> (It returns nothing.) I also tried changing the compiler
>> options to
>> remove the -fno-second-underscore or the -O0 options, with
>> no changes.
>>
>> The same happens if I try to redirect the output to a file,
>> or try to
>> tee the output: to a file, i.e., in both cases I only get
>> empty files:
>> $ ./testp >& testp.out
>> $ cat testp.out
>> $
>>
>> or
>>
>> $ ./testp 2>&1 | tee testp.out
>> $ cat testp.out
>> $
>>
>> I attached the output of  cygcheck -s -v -r in this
>> message. Here are
>> some more details about the gfortran version being used:
>>
>> $ gfortran --version
>> GNU Fortran (GCC) 4.3.2 20080827 (beta) 2
> [SNIP]
>
>>
>> Gustavo Seabra
>
> Hi Gustavo,
> we already noticed such fault and it is on the "long" list of
> Dave Korn to look for.
>
> http://thread.gmane.org/gmane.os.cygwin/104875/focus=104963
>
> I suspect it is more 1.7 related than gfortran related
> as the test program is working on cygwin-1.5.
>
> Regards
> Marco

Thanks. Compiling with -static, as suggested by Dave Korn, worked for me.

-- 
Gustavo Seabra
Postdoctoral Associate
Quantum Theory Project - University of Florida
Gainesville - Florida - USA
-------------------------------------------------------------------------------------------
Q:      Why do mountain climbers rope themselves together?
A:      To prevent the sensible ones from going home.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/